# Cluster Configuration Upgrade/Downgrade - ResizeUMongoDBInstance

## Overview

Cluster Configuration Upgrade/Downgrade






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `ResizeUMongoDBInstance`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.genesissai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [Region and Availability Zone List](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. Leave blank for the default project; sub-accounts must fill in. Please refer to the [GetProjectList API](/docs/api/summary/get_project_list) |No|
| **ClusterId** | string | Cluster ID |**Yes**|
| **DiskSpace** | int | Cluster Data Node Disk Configuration |No|
| **MachineTypeId** | string | Cluster Data Node Model Configuration |No|
| **MongosMachineTypeId** | string | Cluster Mongos Node Instance Configuration |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|




## Example

### Request Example
    
```
https://api.genesissai.com/?Action=ResizeUMongoDBInstance
&Region=cn-zj
&Zone=cn-zj-01
&ProjectId=AhAQtCwf
&ClusterId=PODbzLUx
&DiskSpace=8
&MachineTypeId=mQjNhrTx
&MongosMachineTypeId=TTzAiHba
```

### Response Example
    
```json
{
  "Action": "ResizeUMongoDBInstanceResponse",
  "RetCode": 0,
  "UpgradeId": 8
}
```





